Kreslení VýběrRoviny

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft SelectPlane and the translation is 4% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Stretch.svg Stretch

Draft SelectPlane.svg Kreslení VýběrRoviny

Umístění Menu
Kreslení -> Utility -> Výběr roviny
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo


Popis

Modul kreslení má pracovní rovinu, která umožňuje specifikovat uživatelskou rovinu ve 3D, na které se bude realizovat následujíci kreslicí příkaz. Pro definování pracovní roviny existuje několik metod:

  • Z vybrané plochy
  • Z aktuálního pohledu
  • Z předvolby: horní, přední nebo boční
  • Žádná, v tomto případě je pracovní rovina automaticky adaptována podle aktuálního pohledu, kde spouštíte příkaz nebo na ploše, pokud začínáte kreslení na existující ploše.

WorkingPlane example.png

Different working planes can be set on which to draw shapes


Použití

  1. Stiskněte tlačítko Draft SelectPlane.png VýběrRoviny. Pokud tlačítko nevypadá takto, podívejte se na tuto poznámku.

The Draft SelectPlane.svg SelectPlane button is present in the Draft Tray toolbar, which only appears in the Draft and Arch workbenches.

Without element selected

  1. Press the Draft SelectPlane.svg SelectPlane button.
  2. Select the offset, the grid spacing, and the main lines
  3. Select one of the presets: View-top.svg XY (top), View-front.svg XZ (front), View-right.svg YZ (side), View-isometric.svg View, or View-axonometric.svg Auto.

Once the plane is set, the button will change to indicate the active plane Draft SelectPlane.png Top, Draft SelectPlane.svg Front, Draft SelectPlane.svg Side, Draft SelectPlane.png Auto, Draft SelectPlane.svg d(0.0,-1.0,0.0).

You can show and hide the grid with the shortcut G R.

With element selected

  1. Select a face of an existing object in the 3D view, or hold Ctrl and select three vertices of any object. introduced in version 0.17
  2. Press the Draft SelectPlane.svg SelectPlane button, or right click and select Utilities → Draft SelectPlane.svg SelectPlane.

The plane will be created aligned to the face of the object, or to the plane defined by the three vertices.

Volby

  • Pro nastavení pracovní roviny na existující plochu: vyberte existující objekt ve 3D pohledu a potom stiskněte tlačítko Draft SelectPlane.png VýběrRoviny
  • Stisknutí tlačítka POHLED nastaví pracovní rovinu jako je rovina pohledu, kolmo k osám kamery a procházející počátkem (0,0,0).
  • Stisknutí tlačítka ŽÁDNÁ zruší nastavení aktuální pracovní roviny. Následující 2D operace budou závislé na pohledu.
  • Múžete také specifikovat hodnotu odsunutí, což odsune pracovní rovinu o zadanou vzdálenost od vybrané roviny.

Skriptování

Objekt pracovní roviny může být snadno vyvořen a manipulován ve skriptech a makrech. Můžete vytvářet vlastní a používat je nezávisle na aktuální pracovní ploše Kreslení.

Working plane objects can easily be created and manipulated in macros and from the Python console.

Můžete také přistupovat na aktuální pracovní rovinu Kreslení:

import FreeCAD

Workplane = FreeCAD.DraftWorkingPlane

v1 = FreeCAD.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()

Workplane.alignToPointAndAxis(v1, v2, 17)

A Draft command must be issued after changing the working plane to update the visible grid.

Příklad:

import WorkingPlane

Plane = WorkingPlane.plane()
Arrow-left.svg Previous: Draft Stretch.svg Stretch